PLD Linux Forum Strona Główna PLD Linux Forum
Oficjalne forum dystrybucji PLD Linux

FAQFAQ  SzukajSzukaj  UżytkownicyUżytkownicy  GrupyGrupy
RejestracjaRejestracja  ZalogujZaloguj

Poprzedni temat «» Następny temat
PHP FPM
Autor Wiadomość
nospe 


Distro: PLD 3.0
Dołączył: 14 Lip 2005
Posty: 19
Wysłany: 30 Styczeń 2012, 19:47   PHP FPM

Witam, dziś zaktualizowałem PHP'a i moduł FPM wypluwa mi przy starcie:

Kod:

/etc/init.d/php-fpm restart
Usługa PHP FastCGI Process Manager nie jest uruchomiona.
Uruchamianie usługi PHP FastCGI Process Manager................................................................................................................................................................................. [ PROBLEMY ]
/usr/sbin/php-fpm: cd: /home/users/builder/rpm/BUILD/php-5.3.9 - No such file or directory
i686-pld-linux-gcc: error: sapi/fpm/fpm/.libs/fastcgi.o: Nie ma takiego pliku ani katalogu
i686-pld-linux-gcc: error: sapi/fpm/fpm/.libs/fpm.o: Nie ma takiego pliku ani katalogu
i686-pld-linux-gcc: error: sapi/fpm/fpm/.libs/fpm_children.o: Nie ma takiego pliku ani katalogu
i686-pld-linux-gcc: error: sapi/fpm/fpm/.libs/fpm_cleanup.o: Nie ma takiego pliku ani katalogu
i686-pld-linux-gcc: error: sapi/fpm/fpm/.libs/fpm_clock.o: Nie ma takiego pliku ani katalogu
i686-pld-linux-gcc: error: sapi/fpm/fpm/.libs/fpm_conf.o: Nie ma takiego pliku ani katalogu
i686-pld-linux-gcc: error: sapi/fpm/fpm/.libs/fpm_env.o: Nie ma takiego pliku ani katalogu
i686-pld-linux-gcc: error: sapi/fpm/fpm/.libs/fpm_events.o: Nie ma takiego pliku ani katalogu
i686-pld-linux-gcc: error: sapi/fpm/fpm/.libs/fpm_log.o: Nie ma takiego pliku ani katalogu
i686-pld-linux-gcc: error: sapi/fpm/fpm/.libs/fpm_main.o: Nie ma takiego pliku ani katalogu
i686-pld-linux-gcc: error: sapi/fpm/fpm/.libs/fpm_php.o: Nie ma takiego pliku ani katalogu
i686-pld-linux-gcc: error: sapi/fpm/fpm/.libs/fpm_php_trace.o: Nie ma takiego pliku ani katalogu
i686-pld-linux-gcc: error: sapi/fpm/fpm/.libs/fpm_process_ctl.o: Nie ma takiego pliku ani katalogu
i686-pld-linux-gcc: error: sapi/fpm/fpm/.libs/fpm_request.o: Nie ma takiego pliku ani katalogu
i686-pld-linux-gcc: error: sapi/fpm/fpm/.libs/fpm_shm.o: Nie ma takiego pliku ani katalogu
i686-pld-linux-gcc: error: sapi/fpm/fpm/.libs/fpm_scoreboard.o: Nie ma takiego pliku ani katalogu
i686-pld-linux-gcc: error: sapi/fpm/fpm/.libs/fpm_signals.o: Nie ma takiego pliku ani katalogu
i686-pld-linux-gcc: error: sapi/fpm/fpm/.libs/fpm_sockets.o: Nie ma takiego pliku ani katalogu
i686-pld-linux-gcc: error: sapi/fpm/fpm/.libs/fpm_status.o: Nie ma takiego pliku ani katalogu
i686-pld-linux-gcc: error: sapi/fpm/fpm/.libs/fpm_stdio.o: Nie ma takiego pliku ani katalogu
i686-pld-linux-gcc: error: sapi/fpm/fpm/.libs/fpm_unix.o: Nie ma takiego pliku ani katalogu
i686-pld-linux-gcc: error: sapi/fpm/fpm/.libs/fpm_worker_pool.o: Nie ma takiego pliku ani katalogu
i686-pld-linux-gcc: error: sapi/fpm/fpm/.libs/zlog.o: Nie ma takiego pliku ani katalogu
i686-pld-linux-gcc: error: sapi/fpm/fpm/events/.libs/select.o: Nie ma takiego pliku ani katalogu
i686-pld-linux-gcc: error: sapi/fpm/fpm/events/.libs/poll.o: Nie ma takiego pliku ani katalogu
i686-pld-linux-gcc: error: sapi/fpm/fpm/events/.libs/epoll.o: Nie ma takiego pliku ani katalogu
i686-pld-linux-gcc: error: sapi/fpm/fpm/events/.libs/kqueue.o: Nie ma takiego pliku ani katalogu
i686-pld-linux-gcc: error: sapi/fpm/fpm/events/.libs/devpoll.o: Nie ma takiego pliku ani katalogu
i686-pld-linux-gcc: error: sapi/fpm/fpm/events/.libs/port.o: Nie ma takiego pliku ani katalogu
i686-pld-linux-gcc: error: sapi/fpm/fpm/.libs/fpm_trace.o: Nie ma takiego pliku ani katalogu
i686-pld-linux-gcc: error: sapi/fpm/fpm/.libs/fpm_trace_ptrace.o: Nie ma takiego pliku ani katalogu
i686-pld-linux-gcc: error: main/.libs/internal_functions.o: Nie ma takiego pliku ani katalogu
i686-pld-linux-gcc: error: ./.libs/libphp_common.so: Nie ma takiego pliku ani katalogu
i686-pld-linux-gcc: error: /usr/lib/libpcre.so: Nie ma takiego pliku ani katalogu
i686-pld-linux-gcc: error: /usr/lib/libxml2.so: Nie ma takiego pliku ani katalogu


ktoś pomoże?
_________________
kamil@IRCNet kamil@linuxstorm kamil@pirc
 
 
_maks_ 

Dołączył: 24 Mar 2008
Posty: 8
Wysłany: 22 Luty 2012, 09:42   

Miałem to samo. Zapewne masz wersję:
Kod:
php-fpm-5.3.10-3

Jest popsuta (w /usr/sbin/ plik php-fpm to skrypt dla buildera a nie binarka).
Podbij do
Kod:
php-fpm-5.3.10-5
z main.



<prywata_mode_on>
Czy mógłbyś dorzucić do opisu instalki nginx ten kawałek dotyczący wrappera perla bo utknąłem i nijak nie mogę ruszyć.
<prywata_mode_off>
 
 
Wyświetl posty z ostatnich:   
Odpowiedz do tematu
Nie możesz pisać nowych tematów
Nie możesz odpowiadać w tematach
Nie możesz zmieniać swoich postów
Nie możesz usuwać swoich postów
Nie możesz głosować w ankietach
Dodaj temat do Ulubionych
Wersja do druku

Skocz do:  

Powered by phpBB modified by Przemo © 2003 phpBB Group